Subject: RE: [hackers-il] RE: RFC: A $20 million for the "Better CVS" Fund

From: Chen Shapira <[email-masked]>
Date: Thu, 19 Sep 2002 10:13:34 +0200

> I did not. My original approximation was $100 million. 
> However, I believed
> 20 million was more realistic. Developing a "fine" source control
> management like CVS or Perforce is something that can done 
> quite easily I
> suppose. Developing a kickas source control system like 
> BitKeeper or Aegis
> is something that requires a lot of time.

Ah, but you still didn't explain where the number came from. 
So, here's my guess.

Lets start with Joel's assumption that good software takes 10 years, right?
But Source Control isn't Linux or Word, so I'd actually guess something like
3 years.
Now lets suppose we have 3 programmers working on it (do you think we need
more?)
And lets suppose each earns 3000$ a month. (do you think its reasonable wage
in Israel?)
This comes to 324,000$

Anyone takes my offer? I'm much cheaper than Shlomi! I'll remain
much cheaper even after I hire a student for customer support.

> After I started using BitKeeper, I could still use CVS, but BK was
> obviously slicker and felt much nicer than CVS. I suggest you try
> BitKeeper, and then tell me if it is not superior to your in-house
> solution.

I promise to try it.

> Another point is that I'm trying to aim high so that even if 
> I'll receive
> a relatively small amount, I could still do something with that.

But I still want your "theoretic" explenation. where did the number 
come from?
 
> I personally despise the idea of in-house software like that 
> which is not
> brought to the outside. Call me an old fashioned software 
> developer who
> likes the discpline involved in making a software shrinkwrap 
> (according to
> Spolsky's definition it includes all open-source software).

We can't throw it out. This software is very in house. It fits 
the exect mode of operation we use here, its not easy to install
and configure. 
Mercury can't release it without support for the fear it will hurt
our reputation, and we can't afford to support it. Its not in our
core business anyway.

> I hope I did not hurt your feeling or anythinh, Chen, I'm 
> just trying to
> make my rationale clear.

You didn't hurt me at all, I don't have personal feelings 
about business matters. However, I'm not sure if it got any
clearer either. 

Thanks,
Chen

---

From: Muli Ben-Yehuda <[email-masked]>
Date: Thu, 19 Sep 2002 10:24:01 +0300

> But Source Control isn't Linux or Word, so I'd actually guess something like

Read Larry McVoy's exhausting emails on Linux Kernel why SCM is
actually very difficult to do correctly.

> Now lets suppose we have 3 programmers working on it (do you think we need

Again, see McVoy's emails on the subject. 

> And lets suppose each earns 3000$ a month. (do you think its reasonable wage

NO!
:)

> much cheaper even after I hire a student for customer support.

But do you know anything about the subject at hand? (same question
goes to Shlomi as well, of course, in the hypothetical situation I
would've been evaluating you two). 

> But I still want your "theoretic" explenation. where did the number 

You heard the explaantion - 100 mil was too high, so he chopped it to
20. That's how most cost decisions are made, too :) 

> our reputation, and we can't afford to support it. Its not in our

You just enumerated *perfect* reasons to release it, but unlike our
zealous friend, I don't think *all* software should be free, and will
not argue the case further. Someone else certainly could, though, if
those are the reasons for keeping it closed. 
-- 
Muli Ben-Yehuda
syscalltrack hacker-at-large